#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		bomber
Summary:	Single player arcade game
Name:		ka5-%{kaname}
Version:	22.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications/Games
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	21512b4ed6ad13e9fa7a5cf7d80b5036
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Qml-devel >= 5.11.1
BuildRequires:	Qt5Quick-devel >= 5.11.1
BuildRequires:	Qt5Widgets-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	ka5-libkdegames-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kconfig-devel >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kcrash-devel >= %{kframever}
BuildRequires:	kf5-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bomber is a single player arcade game. The player is invading various
cities in a plane that is decreasing in height.

The goal of the game is to destroy all the buildings and advance to
the next level. Each level gets a bit harder by increasing the speed
of the plane and the height of the buildings.

%description -l pl.UTF-8
Bomber jest jednoosobową grą zręcznościową. Gracz bombarduje różne miasta
samolotem, z każdym przelotem wysokość na której leci bombowiec obniża się.

Celem gry jest zniszczenie wszystkich budynków, żeby przejść do następnego
poziomu. Każdy następny poziom jest coraz trudniejszy przez zwiększającą
się prędkość samolotu i wyższe budynki.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bomber
%{_desktopdir}/org.kde.bomber.desktop
%{_datadir}/bomber
%{_datadir}/config.kcfg/bomber.kcfg
%{_iconsdir}/hicolor/128x128/apps/bomber.png
%{_iconsdir}/hicolor/32x32/apps/bomber.png
%{_iconsdir}/hicolor/48x48/apps/bomber.png
%{_iconsdir}/hicolor/64x64/apps/bomber.png
%{_datadir}/metainfo/org.kde.bomber.appdata.xml
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-bomber.git;a=log;h=master

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6a0d54a
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 81c4cd1
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4457293
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 813f120
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2821d22
- relup

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> cd833cb
- updated to 22.08.1

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8da25f7
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 901ae6f
- updated to 22.04.3

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8b5591e
- updated to 22.04.2

* Thu May 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 20653db
- updated to 22.04.1

* Fri Apr 22 2022 Witold Filipczyk <witekfl@poczta.onet.pl> f616687
- updated to 22.04.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> ec23890
- bcond_with tests

* Fri Mar 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> ec48eae
- updated to 21.12.3

* Thu Feb 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> cf3edff
- updated to 21.12.2

* Fri Jan 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8040923
- updated to 21.12.1

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> b5321b8
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 626d737
- updated to 21.08.3

* Fri Oct 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ec311d0
- updated to 21.08.2

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 98ecf91
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 996fd76
- updated to 21.08.0

